
Ceph - Bug #15330

rgw: Build failures on 32 bit architectures

03/30/2016 09:31 PM - James Page

Status: Resolved Start date: 03/30/2016

Priority: Urgent Due date:  

Assignee: Adam Emerson % Done: 0%

Category: common Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Source: Community (dev) Reviewed:  

Tags:  Affected Versions:  

Backport:  ceph-qa-suite:  

Regression: No Pull request ID:  

Severity: 2 - major   

Description

I'm preparing Ceph packages for 10.1.0 for Ubuntu 16.04 and I'm hitting the following errors in 32 bit archs:

./cls/rgw/cls_rgw_ops.h:184:19: error: call of overloaded ‘encode(time_t&, ceph::bufferlist&)’ is ambiguous

./cls/rgw/cls_rgw_ops.h:202:21: error: no matching function for call to ‘decode(time_t&, ceph::buffer::list::iterator&)’

Full log:

https://launchpadlibrarian.net/250435099/buildlog_ubuntu-xenial-i386.ceph_10.1.0.dfsg-0ubuntu1~ubuntu16.04.1~ppa20160330164

0_BUILDING.txt.gz

History

#1 - 04/01/2016 08:03 PM - Adam Emerson

- Category set to common

- Status changed from New to Need Review

- Assignee set to Adam Emerson

A patch exists at https://github.com/ceph/ceph/pull/8419

#2 - 04/04/2016 05:52 PM - Sage Weil

- Priority changed from Normal to Urgent

#3 - 04/08/2016 08:36 AM - Kefu Chai

- Status changed from Need Review to Resolved
